#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	6.11
%define		qtver		5.15.2
%define		kfname		syndication

Summary:	syndication
Name:		kf6-%{kfname}
Version:	6.11.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	3227ac57ecdaed4c0d4c6b6b48b81ac4
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Network-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	Qt6Xml-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	kf6-kcodecs-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt6Core >= %{qtver}
Requires:	Qt6Xml >= %{qtver}
Requires:	kf6-dirs
#Obsoletes:	kf5-%{kfname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
An RSS/Atom parser library.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
#Obsoletes:	kf5-%{kfname}-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%{_datadir}/qlogging-categories6/syndication.categories
%ghost %{_libdir}/libKF6Syndication.so.6
%attr(755,root,root) %{_libdir}/libKF6Syndication.so.*.*
%{_datadir}/qlogging-categories6/syndication.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF6/Syndication
%{_libdir}/cmake/KF6Syndication
%{_libdir}/libKF6Syndication.so
%changelog
* Sat Feb 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-syndication.git;a=log;h=master

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 41737d5
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 60f005d
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 07d2780
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c345805
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4c91a3f
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0bf059a
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 954244c
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3f6c1bc
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2984d5c
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cb7ef0c
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 76ab97e
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ab13eac
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 161e54f
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6d239c3
- updated to 6.0.0

* Sun Feb 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d7dc258
- updated to 5.249.0; rel 0.1

